<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.ViewRolTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputText value="#{bundle.ViewRolLabel_rolId}"/>
                    <h:outputText value="#{rolController.selected.rolId}" title="#{bundle.ViewRolTitle_rolId}"/>
                    <h:outputText value="#{bundle.ViewRolLabel_rolNombre}"/>
                    <h:outputText value="#{rolController.selected.rolNombre}" title="#{bundle.ViewRolTitle_rolNombre}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{rolController.destroyAndView}" value="#{bundle.ViewRolDestroyLink}"/>
                <br />
                <br />
                <h:link outcome="Edit" value="#{bundle.ViewRolEditLink}"/>
                <br />
                <h:commandLink action="#{rolController.prepareCreate}" value="#{bundle.ViewRolCreateLink}" />
                <br />
                <h:commandLink action="#{rolController.prepareList}" value="#{bundle.ViewRolShowAllLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ViewRolIndexLink}"/>

            </h:form>
        </ui:define>
    </ui:composition>

</html>
